package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name = "PemakaianMesin_T")
public class PemakaianMesin extends BaseTransaction{
	
	@Column(name = "Tanggal", nullable = true)
	@Caption(value = "Tanggal")
	private Date tanggal;
	
	@ManyToOne
	@JoinColumn(name = "ObjectMesinFk")
	@NotNull(message = "Mesin tidak boleh kosong") 
	@Caption(value="Object Mesin")
	private Mesin mesin;
	
	@Column(name = "ObjectMesinFk", insertable = false, updatable = false, nullable = false)
	private Integer mesinId;
	
	@Column(name = "Keterangan", nullable = true)
	@Caption(value = "Keterangan")
	private String keterangan;
	
	@Column(name = "LamaPemakaianPemanasanMesin", nullable = true)
	@Caption(value = "Lama Pemakaian Pemanasan Mesin")
	private Integer lamaPemakaianPemanasanMesin;

	public Date getTanggal() {
		return tanggal;
	}

	public void setTanggal(Date tanggal) {
		this.tanggal = tanggal;
	}

	public Mesin getMesin() {
		return mesin;
	}

	public void setMesin(Mesin mesin) {
		this.mesin = mesin;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}

	public Integer getLamaPemakaianPemanasanMesin() {
		return lamaPemakaianPemanasanMesin;
	}

	public void setLamaPemakaianPemanasanMesin(Integer lamaPemakaianPemanasanMesin) {
		this.lamaPemakaianPemanasanMesin = lamaPemakaianPemanasanMesin;
	}

}
